"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * This class takes care of all payments methods.
 */
var Payments = /** @class */ (function () {
    function Payments(http) {
        this.http = http;
    }
    Payments.prototype.create = function (data) {
        return this.http.post('/payments', data);
    };
    Payments.prototype.get = function (paymentId) {
        return this.http.get('/payments/' + paymentId);
    };
    return Payments;
}());
exports.Payments = Payments;
