import { AxiosInstance, AxiosPromise } from 'axios';
import { PaymentInput, PaymentResponse } from './payments.interface';
/**
 * This class takes care of all payments methods.
 */
export declare class Payments {
    private http;
    constructor(http: AxiosInstance);
    create(data: PaymentInput): AxiosPromise<PaymentResponse>;
    get(paymentId: string): AxiosPromise<PaymentResponse>;
}
